Subject: bug#78754: Tree-sitter started versioning their shared library filenames

From: Yuan Fu <[email-masked]>
Date: Thu, 12 Jun 2025 00:03:13 -0700

> On Jun 11, 2025, at 5:41 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: [email-masked]
>> From: Stéphane Marks <[email-masked]>
>> Date: Wed, 11 Jun 2025 09:49:42 +0100
>> 
>> Thanks for the heads-up! I pushed a change to emacs-30 to look for all supported versions. Eg, if the
>> tree-sitter library supports language version 13 to 15, Emacs will try to look for
>> libtree-sitter-foo.so.13.0, libtree-sitter-foo.so.14.0, and libtree-sitter-foo.so.15.0.
>> 
>> This is indeed a welcome improvement.  Unless I'm reading it wrong, it looks like the ABI tests go 0.0 forward
>> through 15 (modulo what's intrinsically supported).  Should the tests be reversed so the most recent ABI
>> takes precedence?
> 
> Indeed, I think the loop should be in the opposite direction, from
> the highest supported ABI version to the lowest.

We’re adding candidates using Fcons, so candidates added later are in the front of the list, no?

Yuan